# OnnxRuntime: Ort::detail::Base< Unowned< T > > Struct Template Reference

Loading...
Searching...
No Matches
Ort::detail::Base< Unowned< T > > Struct Template Reference

Covers unowned pointers owned by either the ORT or some other instance of CPP wrappers. Used for ConstXXX and UnownedXXXX types that are copyable. Also convenient to wrap raw OrtXX pointers . More...

`#include <onnxruntime_cxx_api.h>`

## Public Types

using | contained_type = typename Unowned< T >::Type

## Public Member Functions

constexpr | Base ()=default
constexpr | Base (contained_type *p) noexcept
| ~Base ()=default
| Base (const Base &)=default
Base & | operator= (const Base &)=default
| Base (Base &&v) noexcept
Base & | operator= (Base &&v) noexcept
constexpr | operator contained_type * () const noexcept

## Protected Attributes

contained_type * | p_ {}

## Detailed Description

template<typename T>
struct Ort::detail::Base< Unowned< T > >

Covers unowned pointers owned by either the ORT or some other instance of CPP wrappers. Used for ConstXXX and UnownedXXXX types that are copyable. Also convenient to wrap raw OrtXX pointers .

Template Parameters

  T |

## Member Typedef Documentation

## contained_type

template<typename T >

using Ort::detail::Base< Unowned< T > >::contained_type = typename Unowned<T>::Type

## Constructor & Destructor Documentation

## Base() [1/4]

template<typename T >

constexpr Ort::detail::Base< Unowned< T > >::Base | ( |  | ) |

constexprdefault

## Base() [2/4]

template<typename T >

constexpr Ort::detail::Base< Unowned< T > >::Base | ( | contained_type * | p | ) |

inlineexplicitconstexprnoexcept

## ~Base()

template<typename T >

Ort::detail::Base< Unowned< T > >::~Base | ( |  | ) |

default

## Base() [3/4]

template<typename T >

Ort::detail::Base< Unowned< T > >::Base | ( | const Base< Unowned< T > > & |  | ) |

default

## Base() [4/4]

template<typename T >

Ort::detail::Base< Unowned< T > >::Base | ( | Base< Unowned< T > > && | v | ) |

inlinenoexcept

## Member Function Documentation

## operator contained_type *()

template<typename T >

constexpr Ort::detail::Base< Unowned< T > >::operator contained_type * | ( |  | ) | const

inlineconstexprnoexcept

## operator=() [1/2]

template<typename T >

Base & Ort::detail::Base< Unowned< T > >::operator= | ( | Base< Unowned< T > > && | v | ) |

inlinenoexcept

## operator=() [2/2]

template<typename T >

Base & Ort::detail::Base< Unowned< T > >::operator= | ( | const Base< Unowned< T > > & |  | ) |

default

## Member Data Documentation

## p_

template<typename T >

contained_type* Ort::detail::Base< Unowned< T > >::p_ {}

protected